Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451136 - New package SPEC file for ghc-cabal-rpm
Summary: New package SPEC file for ghc-cabal-rpm
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL: http://hackage.haskell.org/cgi-bin/ha...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-12 22:48 UTC by Rajesh Krishnan
Modified: 2010-01-26 00:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-17 23:27:58 UTC


Attachments (Terms of Use)
Spec file to create the ghc-cabal-rpm package useful for creating RPM packages for GHC modules. (deleted)
2008-06-12 22:48 UTC, Rajesh Krishnan
no flags Details

Description Rajesh Krishnan 2008-06-12 22:48:34 UTC
Description of problem:
New package spec.

Version-Release number of selected component (if applicable):
Fedora 8

How reproducible:


Steps to Reproduce:
1.  Download 
http://hackage.haskell.org/packages/archive/cabal-rpm/0.5.1/cabal-rpm-0.5.1.tar.gz 
to rpmbuild/SOURCES folder.
2.  Copy attached ghc-cabal-rpm.spec to rpmbuild/SPECS folder.
3.  Execute:
rpmbuild --clean  --target=$(uname -i) -ba 
rpmbuild/SPECS/ghc-cabal-rpm-0.5.1-1.spec
  
Actual results:


Expected results:


Additional info:
1. The same .SPEC should work for Fedora 9 also (I guess).
2. The cabal-rpm binary gets copied 
into /usr/lib64/ghc-6.8.2/ghc-cabal-rpm-0.5.1-pkg/bin on my system (may or may 
not be appropriate).

Comment 1 Rajesh Krishnan 2008-06-12 22:48:34 UTC
Created attachment 309148 [details]
Spec file to create the ghc-cabal-rpm package useful for creating RPM packages for GHC modules.

Comment 2 Jason Tibbitts 2008-06-17 15:40:14 UTC
I'm adding NotReady to the status whiteboard for all of these tickets so that
they don't show up in the review queue.  If you actually plan to pay attention
to any of the commentary that's been offered and will correct the problems such
that these tickets are reviewable, please remove NotReady from the status
whiteboard and they will reappear to reviewers.

Comment 3 Rajesh Krishnan 2008-06-17 21:23:10 UTC
What is the problem with this SPEC?
-Rajesh


Comment 4 Bryan O'Sullivan 2008-06-17 23:27:58 UTC
Your submission doesn't follow the packaging guidelines, and the spec file is
autogenerated garbage.


Note You need to log in before you can comment on or make changes to this bug.